Bug 1433535 - [RFE][Neutron][TechPreview] Containerized deployment of Neutron services
Summary: [RFE][Neutron][TechPreview] Containerized deployment of Neutron services
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: 12.0 (Pike)
Assignee: Brent Eagles
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On: 1430896
Blocks: 1442136 1415556 1434520 1457358 1471622 1503794
TreeView+ depends on / blocked
 
Reported: 2017-03-17 23:50 UTC by Assaf Muller
Modified: 2018-02-05 19:04 UTC (History)
11 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.0-0.20170913050523.0rc2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1503794 (view as bug list)
Environment:
Last Closed: 2017-12-13 21:18:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 469066 None None None 2017-06-22 13:02:40 UTC
Red Hat Bugzilla 1488801 high CLOSED [RFE] Complete and test containerization of Octavia services 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHEA-2017:3462 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Internal Links: 1488801

Description Assaf Muller 2017-03-17 23:50:18 UTC
Provide containerized deployment of Neutron services using docker-cmd based framework (phase 1).

Comment 2 Assaf Muller 2017-04-24 13:11:57 UTC
Pending OVS and SRIOV containerization, pushing to M3.

Comment 4 Assaf Muller 2017-07-05 22:21:19 UTC
The only remaining work item here is the SRIOV agent (The patch is attached as an external tracker). The rest of the base Neutron services are already containerized. If necessary we can spin out the SRIOV agent containerization in to a separate RHBZ. The other services are in and ready for testing.

Comment 6 Assaf Muller 2017-07-20 16:00:11 UTC
The remaining work item here is the SRIOV agent, patch is attached as an external tracker.

Comment 20 errata-xmlrpc 2017-12-13 21:18:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.